QGIS Application - Feature request #14547

Legend group checkbox should honour visibility of layers in the group

2016-03-22 11:48 PM - Frank Sokolic

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22520
Description

Layers in the Map Legend can be organised into groups. It is often useful to have some of the layers in the group visible and others not
visible (figure 1). Currently, when the group checkbox is clicked, the visibility of all group layers is toggled (figures 2 and 3). It would be
very useful if the visibility settings of the layers in the group were remembered when clicking the group checkbox.

My suggestion for handling the group layer visibility is:

- Clicking the group checkbox shows or hides the layers in the group but honours their visibility settings, i.e. toggle between the states

shown in figures 1 and 3.

- Citrl + clicking the group checkbox shows or hides all layers in the group, i.e. toggle between the states shown in figures 2 and 3.

Related issues:
Duplicates QGIS Application - Bug report # 4762: Inconsistent behavior of leg...

Closed 2012-01-08

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2018-05-06 12:42 PM - Alexander Bruy

- Status changed from Open to Closed

Works as expected in 3.0
